<?php
//Incluir archivos necesarios
require_once 'db.php';

//Clase clientes
class clientes extends conn { 

//Metodo para mostrar todos los clientes
    public function getAllCliente()
    {
        $conn = parent::crearconn();
        $sql = " SELECT cl.ID,cl.Fecha, d.Nombre as Nombre_cliente, d.Cedula as Cedula_cliente, d.tipo_documento FROM cliente cl
        INNER JOIN datos_personales d on cl.CI_Datos = d.Cedula where Estado = 1"; 
        $result = $conn->query($sql);
        $clientes = array();
        if ($result->num_rows > 0) {
           while ($row = $result->fetch_assoc()) {
               $clientes[] = $row;
           }   
       }   
       return $clientes;
   } 
   
//Metodo para mostrar todos los clientes eliminados logicamente
   public function getAllclienteElim()
   {
    $conn = parent::crearconn();
    $sql = " SELECT cl.ID,cl.Fecha, d.Nombre as Nombre_cliente, d.Cedula as Cedula_cliente  FROM cliente cl
    INNER JOIN datos_personales d on cl.CI_Datos = d.Cedula where Estado = 0"; 
    $result = $conn->query($sql);
    $clientes = array();
    if ($result->num_rows > 0) {
       while ($row = $result->fetch_assoc()) {
           $clientes[] = $row;
       }   
   }   
   return $clientes;
} 

//Metodo para eliminar logicamente un cliente
public function deletecliente($clienteID)
{
    $conn = parent::crearconn();
    $clienteID = $conn->real_escape_string($clienteID);
    $sql = "UPDATE `cliente` set `Estado` = '0' WHERE ID = '$clienteID'";
    $resultado = $conn->query($sql);
    return $resultado;

} 
//Metodo para restaurar todos los clientes
public function restaurarcliente($clienteId)
{
    $conn = parent::crearconn();
    $clienteId = $conn->real_escape_string($clienteId);
    $sql = "UPDATE `cliente` set `Estado` = '1' WHERE ID = '$clienteId'";
    $resultado = $conn->query($sql);
    return $resultado;
} 
}   
?>